openSUSE セキュリティ更新:tomcat(openSUSE-SU-2012:1701-1)

medium Nessus プラグイン ID 74853
New! プラグインの深刻度には CVSS v3 が適用されるようになりました。

プラグインの深刻度は、デフォルトで CVSS v3 を使って計算されるように更新されました。プラグインに CVSS v3 スコアがない場合には、CVSS v2 を使って深刻度が計算されます。深刻度の表示設定は、[設定]のドロップダウンで切り替えができます。

概要

リモート openSUSE ホストに、セキュリティ更新がありません。

説明

- bnc#793394 を修正します - セキュリティ制約のバイパス(CVE-2012-3546)

- tomcat-CVE-2012-3546.patch http://svn.apache.org/viewvc?view=revision&revision=1377892

- bnc#793391 を修正します - CSRF 防止フィルターのバイパス(CVE-2012-4431)

- tomcat-CVE-2012-4431.patch http://svn.apache.org/viewvc?view=revision&revision=1393088

- slowloris DoS を保護する方法を README.SUSE で文書化します(CVE-2012-5568/bnc#791679)

- bnc#791423 を修正します - cnonce 追跡の脆弱性(CVE-2012-5885)bnc#791424 - 認証キャッシングの脆弱性(CVE-2012-5886)bnc#791426 - stale nonce の脆弱性(CVE-2012-5887)

- tomcat-dont-parse-user-name-twice.patch http://svn.apache.org/viewvc?view=revision&revision=1366723

- tomcat-CVE-2009-2693-CVE-2009-2901-CVE-2009-2902.patch http://svn.apache.org/viewvc?view=revision&revision=1377807

- bnc#789406 を修正:大きなヘッダーを持つリクエストからの HTTP NIO コネクタ OOM DoS(CVE-2012-2733)

- http://svn.apache.org/viewvc?view=revision&revision=1350301

- bnc#779538 を修正 - Tomcat7 デフォルトの現在の workdir は /usr/share/tomcat ではありません

ソリューション

影響を受ける tomcat パッケージを更新してください。

関連情報

http://svn.apache.org/viewvc?view=revision&revision=1350301

http://svn.apache.org/viewvc?view=revision&revision=1366723

http://svn.apache.org/viewvc?view=revision&revision=1377807

http://svn.apache.org/viewvc?view=revision&revision=1377892

http://svn.apache.org/viewvc?view=revision&revision=1393088

https://bugzilla.novell.com/show_bug.cgi?id=779538

https://bugzilla.novell.com/show_bug.cgi?id=789406

https://bugzilla.novell.com/show_bug.cgi?id=791423

https://bugzilla.novell.com/show_bug.cgi?id=791424

https://bugzilla.novell.com/show_bug.cgi?id=791426

https://bugzilla.novell.com/show_bug.cgi?id=791679

https://bugzilla.novell.com/show_bug.cgi?id=793391

https://bugzilla.novell.com/show_bug.cgi?id=793394

https://lists.opensuse.org/opensuse-updates/2012-12/msg00062.html

プラグインの詳細

深刻度: Medium

ID: 74853

ファイル名: openSUSE-2012-883.nasl

バージョン: 1.5

タイプ: local

エージェント: unix

公開日: 2014/6/13

更新日: 2021/1/19

依存関係: ssh_get_info.nasl

リスク情報

VPR

リスクファクター: Medium

スコア: 5.9

CVSS v2

リスクファクター: Medium

Base Score: 5.8

ベクトル: AV:N/AC:M/Au:N/C:N/I:P/A:P

脆弱性情報

CPE: p-cpe:/a:novell:opensuse:tomcat, p-cpe:/a:novell:opensuse:tomcat-admin-webapps, p-cpe:/a:novell:opensuse:tomcat-docs-webapp, p-cpe:/a:novell:opensuse:tomcat-el-2_2-api, p-cpe:/a:novell:opensuse:tomcat-javadoc, p-cpe:/a:novell:opensuse:tomcat-jsp-2_2-api, p-cpe:/a:novell:opensuse:tomcat-jsvc, p-cpe:/a:novell:opensuse:tomcat-lib, p-cpe:/a:novell:opensuse:tomcat-servlet-3_0-api, p-cpe:/a:novell:opensuse:tomcat-webapps, cpe:/o:novell:opensuse:12.2

必要な KB アイテム: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list

パッチ公開日: 2012/12/18

参照情報

CVE: CVE-2009-2693, CVE-2009-2901, CVE-2009-2902, CVE-2012-2733, CVE-2012-3546, CVE-2012-4431, CVE-2012-5568, CVE-2012-5885, CVE-2012-5886, CVE-2012-5887

CWE: 22, 264